Bug 971503 - (CVE-2013-2211) CVE-2013-2211 xen: libxl allows guest write access to sensitive console related xenstore keys
CVE-2013-2211 xen: libxl allows guest write access to sensitive console relat...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130620,repo...
: Security
Depends On: 976779
Blocks: 971508
  Show dependency treegraph
 
Reported: 2013-06-06 12:35 EDT by Petr Matousek
Modified: 2013-06-26 03:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-21 09:04:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-06-06 12:35:21 EDT
The libxenlight (libxl) toolstack library does not correctly set permissions on xenstore keys relating to paravirtualised and emulated serial console devices. This could allow a malicious guest administrator to change values in xenstore which the host later relies on being implicitly trusted.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 2 Petr Matousek 2013-06-06 12:39:49 EDT
Statement:

Not vulnerable.

This issue does not affect the versions of the xen package as shipped with Red Hat Enterprise Linux 5 as it does not provide support for the libxl toolstack.

This issue does not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG.
Comment 3 Petr Matousek 2013-06-21 08:42:25 EDT
Now public via:

http://seclists.org/oss-sec/2013/q2/608
Comment 4 Petr Matousek 2013-06-21 08:43:07 EDT
Created xen tracking bugs for this issue

Affects: fedora-all [bug 976779]
Comment 5 Petr Matousek 2013-06-26 03:29:33 EDT
CVE id has been assigned:

  http://seclists.org/oss-sec/2013/q2/612

Note You need to log in before you can comment on or make changes to this bug.